Debian Bug report logs - #601549
perl: sprintf ignores LC_NUMERIC with constants

version graph

Package: perl; Maintainer for perl is Niko Tyni <ntyni@debian.org>; Source for perl is src:perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Wed, 27 Oct 2010 08:33:01 UTC

Severity: normal

Tags: fixed-upstream, patch

Found in version perl/5.10.1-1

Fixed in versions perl/5.10.1-16, perl/5.12.2-2

Done: Niko Tyni <ntyni@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://rt.perl.org/rt3/Ticket/Display.html?id=78632

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org:
Bug#601549; Package perl. (Wed, 27 Oct 2010 08:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. (Wed, 27 Oct 2010 08:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: submit@bugs.debian.org
Subject: perl: sprintf ignores LC_NUMERIC with constants
Date: Wed, 27 Oct 2010 11:28:42 +0300
Package: perl
Version: 5.10.1-1
Tags: patch
Forwarded: http://rt.perl.org/rt3/Ticket/Display.html?id=78632

A regression in 5.10.1 breaks sprintf and LC_NUMERIC with numeric constants:

 perl -Mlocale -MPOSIX=locale_h -e 'setlocale(LC_NUMERIC, "fi_FI") or die; printf("%s should be %g\n", spr
intf("%g", 2.4), 2.4)'
 2.4 should be 2,4

(At least de_DE and sv_SE should also do for the locale.)

The bug is with constant folding, this works:

 perl -Mlocale -MPOSIX=locale_h -e 'setlocale(LC_NUMERIC, "fi_FI") or die; $in = 2.4; printf("%s should be
 %g\n", sprintf("%g", $in), 2.4)'
 2,4 should be 2,4

This is [perl #78632]. One line patch that disables sprintf() constant
folding when locales are involved:

diff --git a/op.c b/op.c
index dc9fd64..a2481af 100644
--- a/op.c
+++ b/op.c
@@ -2466,6 +2466,7 @@ Perl_fold_constants(pTHX_ register OP *o)
     case OP_SLE:
     case OP_SGE:
     case OP_SCMP:
+    case OP_SPRINTF:
 	/* XXX what about the numeric ops? */
 	if (PL_hints & HINT_LOCALE)
 	    goto nope;

I think this is a possible candidate for squeeze but may not worth an
upload by itself.
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#601549; Package perl. (Thu, 28 Oct 2010 09:45:06 GMT) Full text and rfc822 format available.

Message #8 received at 601549@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 601549@bugs.debian.org
Subject: Re: Bug#601549: perl: sprintf ignores LC_NUMERIC with constants
Date: Wed, 27 Oct 2010 19:36:26 +0300
[Message part 1 (text/plain, inline)]
-=| Niko Tyni, Wed, Oct 27, 2010 at 11:28:42AM +0300 |=-
> Package: perl
> Version: 5.10.1-1
> Tags: patch
> Forwarded: http://rt.perl.org/rt3/Ticket/Display.html?id=78632
> 
> A regression in 5.10.1 breaks sprintf and LC_NUMERIC with numeric constants:
> 
>  perl -Mlocale -MPOSIX=locale_h -e 'setlocale(LC_NUMERIC, "fi_FI") or die; printf("%s should be %g\n", spr
> intf("%g", 2.4), 2.4)'
>  2.4 should be 2,4
> 
> (At least de_DE and sv_SE should also do for the locale.)

bg_BG too. I guess any locale that uses decimal separator other than 
period is affected. That's a lot of users :)

> This is [perl #78632]. One line patch that disables sprintf() 
> constant folding when locales are involved:
> 
> diff --git a/op.c b/op.c
> index dc9fd64..a2481af 100644
> --- a/op.c
> +++ b/op.c
> @@ -2466,6 +2466,7 @@ Perl_fold_constants(pTHX_ register OP *o)
>      case OP_SLE:
>      case OP_SGE:
>      case OP_SCMP:
> +    case OP_SPRINTF:
>  	/* XXX what about the numeric ops? */
>  	if (PL_hints & HINT_LOCALE)
>  	    goto nope;
> 
> I think this is a possible candidate for squeeze but may not worth an
> upload by itself.

Hm, can I convince you that it is worth an upload all by itself? :)
I remember being bitten by that behaviour, but can't remember details.

Now that the fix is known, I'd greatly appreciate if I don't have to 
remember to avoid such constructs until wheezy comes out :)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#601549; Package perl. (Thu, 28 Oct 2010 11:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. (Thu, 28 Oct 2010 11:39:03 GMT) Full text and rfc822 format available.

Message #13 received at 601549@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 601549@bugs.debian.org
Cc: Damyan Ivanov <dmn@debian.org>
Subject: Re: Bug#601549: perl: sprintf ignores LC_NUMERIC with constants
Date: Thu, 28 Oct 2010 14:36:57 +0300
On Wed, Oct 27, 2010 at 07:36:26PM +0300, Damyan Ivanov wrote:
> -=| Niko Tyni, Wed, Oct 27, 2010 at 11:28:42AM +0300 |=-
> > Package: perl
> > Version: 5.10.1-1
> > Tags: patch
> > Forwarded: http://rt.perl.org/rt3/Ticket/Display.html?id=78632
> > 
> > A regression in 5.10.1 breaks sprintf and LC_NUMERIC with numeric constants:
> > 
> >  perl -Mlocale -MPOSIX=locale_h -e 'setlocale(LC_NUMERIC, "fi_FI") or die; printf("%s should be %g\n", sprintf("%g", 2.4), 2.4)'
> >  2.4 should be 2,4

> > I think this is a possible candidate for squeeze but may not worth an
> > upload by itself.

> Hm, can I convince you that it is worth an upload all by itself? :)
> I remember being bitten by that behaviour, but can't remember details.

My initial thought was that as nobody had reported this upstream in the
14 months since 5.10.1 was released, it can't really be a big issue.

But OK, somebody (you and probably Helge Kreutzmann too) does care and
my fix just got applied upstream, so convinced :)

This should go nicely together with the LC_NUMERIC doc fixes from #379329
that also got applied upstream. The test suite changes in the upstream
commits could be left out, they probably don't apply to the 5.10 branch
as-is.

I'm going to be short on time for the next week or so. Any chance you'd
like to become a comaintainer and handle this yourself? :)
-- 
Niko Tyni   ntyni@debian.org




Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 01 Nov 2010 16:36:25 GMT) Full text and rfc822 format available.

Reply sent to Niko Tyni <ntyni@debian.org>:
You have taken responsibility. (Tue, 02 Nov 2010 09:21:11 GMT) Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. (Tue, 02 Nov 2010 09:21:11 GMT) Full text and rfc822 format available.

Message #20 received at 601549-close@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 601549-close@bugs.debian.org
Subject: Bug#601549: fixed in perl 5.10.1-16
Date: Tue, 02 Nov 2010 09:17:42 +0000
Source: perl
Source-Version: 5.10.1-16

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive:

libcgi-fast-perl_5.10.1-16_all.deb
  to main/p/perl/libcgi-fast-perl_5.10.1-16_all.deb
libperl-dev_5.10.1-16_amd64.deb
  to main/p/perl/libperl-dev_5.10.1-16_amd64.deb
libperl5.10_5.10.1-16_amd64.deb
  to main/p/perl/libperl5.10_5.10.1-16_amd64.deb
perl-base_5.10.1-16_amd64.deb
  to main/p/perl/perl-base_5.10.1-16_amd64.deb
perl-debug_5.10.1-16_amd64.deb
  to main/p/perl/perl-debug_5.10.1-16_amd64.deb
perl-doc_5.10.1-16_all.deb
  to main/p/perl/perl-doc_5.10.1-16_all.deb
perl-modules_5.10.1-16_all.deb
  to main/p/perl/perl-modules_5.10.1-16_all.deb
perl-suid_5.10.1-16_amd64.deb
  to main/p/perl/perl-suid_5.10.1-16_amd64.deb
perl_5.10.1-16.debian.tar.gz
  to main/p/perl/perl_5.10.1-16.debian.tar.gz
perl_5.10.1-16.dsc
  to main/p/perl/perl_5.10.1-16.dsc
perl_5.10.1-16_amd64.deb
  to main/p/perl/perl_5.10.1-16_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 601549@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niko Tyni <ntyni@debian.org> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 02 Nov 2010 10:17:28 +0200
Source: perl
Binary: perl-base libcgi-fast-perl perl-doc perl-modules perl-debug perl-suid libperl5.10 libperl-dev perl
Architecture: source all amd64
Version: 5.10.1-16
Distribution: unstable
Urgency: low
Maintainer: Niko Tyni <ntyni@debian.org>
Changed-By: Niko Tyni <ntyni@debian.org>
Description: 
 libcgi-fast-perl - CGI::Fast Perl module
 libperl-dev - Perl library: development files
 libperl5.10 - shared Perl library
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-base  - minimal Perl system
 perl-debug - debug-enabled Perl interpreter
 perl-doc   - Perl documentation
 perl-modules - Core Perl modules
 perl-suid  - runs setuid Perl scripts
Closes: 379329 596105 601549
Changes: 
 perl (5.10.1-16) unstable; urgency=low
 .
   * Improve LC_NUMERIC documentation. (Closes: #379329)
   * Fix sprintf not to ignore LC_NUMERIC with constants. (Closes: #601549)
   * Fix stack pointer corruption in pp_concat() with "use encoding".
     (Closes: #596105)
Checksums-Sha1: 
 9f47374c10097e80004d5f5960af6bcb76b65570 1388 perl_5.10.1-16.dsc
 8bb47b6f2c657acf33331bdc7edf72148432f580 113563 perl_5.10.1-16.debian.tar.gz
 29ef22a6a34f3e4591257f03e0fa90bd8bdfc864 53064 libcgi-fast-perl_5.10.1-16_all.deb
 3fb1890f8c214decb66c997e517f913161bf3c82 7188478 perl-doc_5.10.1-16_all.deb
 84c9fc1f57f5116efa77d3801bf94c86f926b1aa 3481344 perl-modules_5.10.1-16_all.deb
 6cdf53b95de74d2c2b11708d9818157884edf6b3 1065864 perl-base_5.10.1-16_amd64.deb
 5a2cd52b2a18d1d1ff41db95fdabfb7633fe7145 5835708 perl-debug_5.10.1-16_amd64.deb
 b6080890ac102b9e265678925485e55269f7711f 34914 perl-suid_5.10.1-16_amd64.deb
 2ed2dd5ebb9b185d3665c8ebddf3398d2281d5ca 1150 libperl5.10_5.10.1-16_amd64.deb
 049e3625aa42501c6df2d052565cca74edcfc4ef 2562396 libperl-dev_5.10.1-16_amd64.deb
 f5b4cab1ed4fdd10b7eb5e348291467c7ab6b292 4461128 perl_5.10.1-16_amd64.deb
Checksums-Sha256: 
 f503c0af0eed86278d130a8aa7c51a4a27936eb24a6e8819f70fdecf11c07a71 1388 perl_5.10.1-16.dsc
 f23c65e0cf8b68127e82c4f8dba72182f6928f57e154c6599f44588653e30ce4 113563 perl_5.10.1-16.debian.tar.gz
 e16bf2e08bab8dc0122ce2cdec3c69bc5e9ed41b64c94b33b6d02253907e09e3 53064 libcgi-fast-perl_5.10.1-16_all.deb
 6af18cd4a81ff1e57a65685742b4192af5f7223da8ae45bd1d25e5abb794854a 7188478 perl-doc_5.10.1-16_all.deb
 1302936c55e3d73d067915fa08047ed4b5345ec185ede8eb579497120d6af1e1 3481344 perl-modules_5.10.1-16_all.deb
 29b8e501e28245b152a4af2b72533a01ffded06d194d60d240b4d2b64951877d 1065864 perl-base_5.10.1-16_amd64.deb
 ccda23c96f33f1e03d23d01b2d4e5c8ccf60fdcc2d5c6f95ee5fc5ddd9cb4800 5835708 perl-debug_5.10.1-16_amd64.deb
 cc97cab2fcc28f9cb0b7620049b191fdd842067c67e54aa06ab7eb33de276f36 34914 perl-suid_5.10.1-16_amd64.deb
 618404b8cec50afce67a0923045539d89c89d1d65a1ccfeaff3ff8d2dfd3527f 1150 libperl5.10_5.10.1-16_amd64.deb
 e71c1d087adfdbb6e15e0b09546587306030dba0ec50d422a138735dd37928e8 2562396 libperl-dev_5.10.1-16_amd64.deb
 bb6ef32d9504f6fb4434abc5ffcc1f894bd6243d89b72030736706197f5a1163 4461128 perl_5.10.1-16_amd64.deb
Files: 
 af2d8b82e85ba6c842f0ec241171371c 1388 perl standard perl_5.10.1-16.dsc
 fb243330d424fb664fb860cabfe32314 113563 perl standard perl_5.10.1-16.debian.tar.gz
 894e6601916d64612625f94e185d1572 53064 perl optional libcgi-fast-perl_5.10.1-16_all.deb
 1d5382304f59e40b15c33be752520d48 7188478 doc optional perl-doc_5.10.1-16_all.deb
 3a3ece864c516d54fb70bfecc70c3f1d 3481344 perl standard perl-modules_5.10.1-16_all.deb
 2c931bea5396ac573646d1f8c74d6f8f 1065864 perl required perl-base_5.10.1-16_amd64.deb
 4b488c17ec80362a0063f4efa9998348 5835708 debug extra perl-debug_5.10.1-16_amd64.deb
 ddfed28dacb5c5332954d5b42cd0ba13 34914 perl optional perl-suid_5.10.1-16_amd64.deb
 a982ea6bbeaf9336036516d5f06dbf77 1150 libs optional libperl5.10_5.10.1-16_amd64.deb
 83a0e9c6e315a8a2cc620c503e9d406d 2562396 libdevel optional libperl-dev_5.10.1-16_amd64.deb
 72d23b4e1a39aa46296e606fe74090d9 4461128 perl standard perl_5.10.1-16_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzP0bwACgkQiyizGWoHLTkt1wCgmaNEYKReq8rYeMe6d7pt/sDX
HugAn3CxLaE589HCjmUSCedTmkAf8D5c
=9oyy
-----END PGP SIGNATURE-----





Reply sent to Niko Tyni <ntyni@debian.org>:
You have taken responsibility. (Tue, 02 Nov 2010 11:36:21 GMT) Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. (Tue, 02 Nov 2010 11:36:21 GMT) Full text and rfc822 format available.

Message #25 received at 601549-close@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 601549-close@bugs.debian.org
Subject: Bug#601549: fixed in perl 5.12.2-2
Date: Tue, 02 Nov 2010 11:32:34 +0000
Source: perl
Source-Version: 5.12.2-2

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive:

libcgi-fast-perl_5.12.2-2_all.deb
  to main/p/perl/libcgi-fast-perl_5.12.2-2_all.deb
libperl-dev_5.12.2-2_amd64.deb
  to main/p/perl/libperl-dev_5.12.2-2_amd64.deb
libperl5.12_5.12.2-2_amd64.deb
  to main/p/perl/libperl5.12_5.12.2-2_amd64.deb
perl-base_5.12.2-2_amd64.deb
  to main/p/perl/perl-base_5.12.2-2_amd64.deb
perl-debug_5.12.2-2_amd64.deb
  to main/p/perl/perl-debug_5.12.2-2_amd64.deb
perl-doc_5.12.2-2_all.deb
  to main/p/perl/perl-doc_5.12.2-2_all.deb
perl-modules_5.12.2-2_all.deb
  to main/p/perl/perl-modules_5.12.2-2_all.deb
perl_5.12.2-2.debian.tar.gz
  to main/p/perl/perl_5.12.2-2.debian.tar.gz
perl_5.12.2-2.dsc
  to main/p/perl/perl_5.12.2-2.dsc
perl_5.12.2-2_amd64.deb
  to main/p/perl/perl_5.12.2-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 601549@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niko Tyni <ntyni@debian.org> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 02 Nov 2010 11:34:32 +0200
Source: perl
Binary: perl-base libcgi-fast-perl perl-doc perl-modules perl-debug libperl5.12 libperl-dev perl
Architecture: source all amd64
Version: 5.12.2-2
Distribution: experimental
Urgency: low
Maintainer: Niko Tyni <ntyni@debian.org>
Changed-By: Niko Tyni <ntyni@debian.org>
Description: 
 libcgi-fast-perl - CGI::Fast Perl module
 libperl-dev - Perl library: development files
 libperl5.12 - shared Perl library
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-base  - minimal Perl system
 perl-debug - debug-enabled Perl interpreter
 perl-doc   - Perl documentation
 perl-modules - Core Perl modules
Closes: 379329 508764 596105 596734 596844 599933 601549
Changes: 
 perl (5.12.2-2) experimental; urgency=low
 .
   * Merge 5.10.1-15 and -16 from unstable:
     + Include the Text::Tabs license in debian/copyright. Thanks to "v.nix.is".
       (Closes: #596844)
     + Downgrade the 'make' recommendation to a suggestion to avoid pulling
       it in by default after all. (Closes: #596734) (Reopens: #293908)
     + Squelch useless locale warnings during package maintainer scripts.
       (Closes: #508764)
     + Improve LC_NUMERIC documentation. (Closes: #379329)
     + Fix sprintf not to ignore LC_NUMERIC with constants. (Closes: #601549)
     + Fix stack pointer corruption in pp_concat() with "use encoding".
       (Closes: #596105)
   * Unapply the debian/use_gdbm patch, obsolete since 5.8.4.
   * Fix h2ph header generation with GCC 4.5. Upstream patch by Robin Barker.
     (Closes: #599933)
Checksums-Sha1: 
 be804c5a49e9b63f76857fedce3c922df9957700 1423 perl_5.12.2-2.dsc
 19a022f64138edf6adcf2d50db1c1e3ee0f31d90 87572 perl_5.12.2-2.debian.tar.gz
 e06525a6fdc0635b84cc8c3bfd89fdcb85f7bccf 54260 libcgi-fast-perl_5.12.2-2_all.deb
 ee1c3e2859cf46b2f9bdbcee44266569edefb6bd 7506772 perl-doc_5.12.2-2_all.deb
 6439ebf9319ff7ae46333d63c9d78b51c3919cd0 4754640 perl-modules_5.12.2-2_all.deb
 f298e4dcbe6d70d624b0ee0c47aace19e388e1fa 1483584 perl-base_5.12.2-2_amd64.deb
 637245f29dac6dc071a7c1e0a8d385021f35c1e9 5895258 perl-debug_5.12.2-2_amd64.deb
 a6861a26609a771fdc85d4213f39dfca59f7d7d6 1150 libperl5.12_5.12.2-2_amd64.deb
 f1cea8b566f42816c85f784120d36a95ecffed4f 2573502 libperl-dev_5.12.2-2_amd64.deb
 5cfd5fe5dd6b30555d3905ff39ecdce64cbe07e3 4221210 perl_5.12.2-2_amd64.deb
Checksums-Sha256: 
 0e15780cd0b91b9e3f94c0131dadd86d8f54fbac67fe6f6d71110a520b568af9 1423 perl_5.12.2-2.dsc
 c6aee7bf9b70caa662a5bdc3cc4d4a4d2c2f1a833f04d75b0347835f9b544232 87572 perl_5.12.2-2.debian.tar.gz
 a6499b7f391f94142a30396ba1c9231e8c81cc552b4868f3f6de01194ae1f0c6 54260 libcgi-fast-perl_5.12.2-2_all.deb
 dbf876032f70ee45271e66e8aaec97fd55374bbbf65bbddf722467b8bdf3e987 7506772 perl-doc_5.12.2-2_all.deb
 c2c914a2be2fd07c31d209bab92e04bb582e29ae3cd95d32104e0c519509af64 4754640 perl-modules_5.12.2-2_all.deb
 e7ee0aa1fe64a964b66ec6ddb77ed40a44822ced78cd11b7a1bcd8fe1d4cace5 1483584 perl-base_5.12.2-2_amd64.deb
 61a2bda261b4d25e44a49fa1e57fa8cd438faf8ade378d6b8b1fd3cf82cdf60e 5895258 perl-debug_5.12.2-2_amd64.deb
 cba09404b8e60078953868740398a07dcff8d3d0f8eae0bdb539b1e4109cb730 1150 libperl5.12_5.12.2-2_amd64.deb
 4472cdf3ea8d003873c965aaada267b192d273cb0697f618272e5615d4a065e7 2573502 libperl-dev_5.12.2-2_amd64.deb
 7af1ad3685eeec13ed2750b92ff190ac272e65fb44b94da7cfc8ab17a928762a 4221210 perl_5.12.2-2_amd64.deb
Files: 
 be3df9a17d91f2f9fd3690f35513024f 1423 perl standard perl_5.12.2-2.dsc
 2c5ef80f180743ee342c15486a29c66d 87572 perl standard perl_5.12.2-2.debian.tar.gz
 8bfa31025e78fea891a33c0a19033740 54260 perl optional libcgi-fast-perl_5.12.2-2_all.deb
 c944d25183a3a99128d74b26852e650c 7506772 doc optional perl-doc_5.12.2-2_all.deb
 89af65e54e3af5cb8b40c161216f6142 4754640 perl standard perl-modules_5.12.2-2_all.deb
 09b99bbc17cf6277adffdafb47021710 1483584 perl required perl-base_5.12.2-2_amd64.deb
 f614a4e2b20da365f698cf3a77f927fe 5895258 debug extra perl-debug_5.12.2-2_amd64.deb
 25c16c05cf1972ee1d28e2b2fa779cab 1150 libs optional libperl5.12_5.12.2-2_amd64.deb
 4fb5cd7e834cb555e2286d81ad3a7eeb 2573502 libdevel optional libperl-dev_5.12.2-2_amd64.deb
 d547be35d28a4220474371d74e892913 4221210 perl standard perl_5.12.2-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzP8twACgkQiyizGWoHLTmeNgCglhd8FKXF89s+IwEEqBgARQIR
8DQAn3Axo5TuVu8xy72Wv06pzZmpcLQr
=Tn2n
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#601549; Package perl. (Thu, 04 Nov 2010 03:09:03 GMT) Full text and rfc822 format available.

Message #28 received at 601549@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Niko Tyni <ntyni@debian.org>
Cc: 601549@bugs.debian.org
Subject: Re: Bug#601549: perl: sprintf ignores LC_NUMERIC with constants
Date: Tue, 2 Nov 2010 16:35:32 +0200
[Message part 1 (text/plain, inline)]
-=| Niko Tyni, Thu, Oct 28, 2010 at 02:36:57PM +0300 |=-
> But OK, somebody (you and probably Helge Kreutzmann too) does care 
> and my fix just got applied upstream, so convinced :)

Great! Thanks for driving this further.

> This should go nicely together with the LC_NUMERIC doc fixes from 
> #379329 that also got applied upstream. The test suite changes in 
> the upstream commits could be left out, they probably don't apply to 
> the 5.10 branch as-is.
> 
> I'm going to be short on time for the next week or so. Any chance you'd
> like to become a comaintainer and handle this yourself? :)

Unfortunately I can't take advantage of you kind offer, yet. The root 
reason is that I am short of time. Me being completely alien to topgit 
doesn't help either :/

I am subscribed to perl@PTS, though, so I still may be able to help 
occasionally.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 Dec 2010 07:32:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:24:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.